### Method

# Soup Session send_and_read_async

#### Declaration [src]

    void
    soup_session_send_and_read_async (
      SoupSession* session,
      SoupMessage* msg,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously sends `msg` and reads the response body.

When `callback` is called, then either `msg` has been sent, and its response body read, or else an error has occurred. This function should only be used when the resource to be retrieved is not too long and can be stored in memory. Call `soup_session_send_and_read_finish()` to get a `GBytes` with the response body.

See `soup_session_send()` for more details on the general semantics.

#### Parameters

`msg`

  Type: `SoupMessage`

  A `SoupMessage`.

  The data is owned by the caller of the method.

`io_priority`

  Type: `int`

  The I/O priority of the request.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  The callback to invoke.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.